Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.util
Interface LocalName

All Superinterfaces:
  Comparable<GenericName>, GenericName

All Known Subinterfaces:
  MemberName, TypeName

    @UML(identifier="LocalName",
         specification=ISO_19103)
    public interface LocalName

extends GenericName

Identifier within a name space for a local object. Local names are names which are directly accessible to and maintained by a name space. Names are local to one and only one name space. The name space within which they are local is indicated by the scope.

Since:
  GeoAPI 2.0
See Also:
  `NameFactory.createLocalName(org.opengis.util.GenericName, java.lang.String, org.opengis.util.InternationalString)`

Method Summary
`int` | `depth()` Returns the depth, which is always 1 for a local name.
`List<LocalName>` | `getParsedNames()` Returns the sequence of local name for this generic name.
`LocalName` | `name()` Returns `this` since this object is already a local name.
`String` | `toString()` Returns a locale-independant string representation of this local name.

Methods inherited from interface GenericName
`asLocalName, asScopedName, getScope, push, scope, toFullyQualifiedName, toInternationalString`

Methods inherited from interface Comparable
`compareTo`

Method Detail

### depth

    int depth()

  Returns the depth, which is always 1 for a local name.

  Specified by:
    `depth` in interface `GenericName`

### getParsedNames

    @UML(identifier="parsedName",
         obligation=MANDATORY,
         specification=ISO_19103)
    List<LocalName> getParsedNames()

  Returns the sequence of local name for this generic name. Since this object is itself a locale name, this method always returns a singleton containing only `this`.

  Specified by:
    `getParsedNames` in interface `GenericName`

### name

    @Extension
    LocalName name()

  Returns `this` since this object is already a local name.

  Specified by:
    `name` in interface `GenericName`
  Since:
    GeoAPI 2.1
  See Also:
    `name()`, `ScopedName.name()`

### toString

    @UML(identifier="aName",
         obligation=MANDATORY,
         specification=ISO_19103)
    String toString()

  Returns a locale-independant string representation of this local name.

  Specified by:
    `toString` in interface `GenericName`
  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.